/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.util.collections;

import java.util.*;

public class ReadOnlyVector extends AbstractList
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private Vector my_vec;  // local vector

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  public ReadOnlyVector(Vector vec)
  {
    my_vec = vec;
    my_vec.trimToSize();

  } // end constructor

  /*--------------------------------------------------------------------------------
   * finalize() method
   *--------------------------------------------------------------------------------
   */

  protected void finalize() throws Throwable
  {
    my_vec = null;
    super.finalize();

  } // end finalize

  /*--------------------------------------------------------------------------------
   * Implementations from superclass AbstractList
   *--------------------------------------------------------------------------------
   */

  public Object get(int index)
  {
    return my_vec.elementAt(index);

  } // end get

  public int size()
  {
    return my_vec.size();

  } // end size

} // end class ReadOnlyVector
