<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Community System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  UserProfileData data = UserProfileData.retrieve(request);
  Variables.failIfNull(data);
  UserProfile prof = data.getUserProfile();
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
  String tmp;
%>
<% if (rdat.useHTMLComments()) { %><!-- Profile for UID #<%= prof.getUID() %> --><% } %>
<% rdat.writeContentHeader(out,"User Profile:",prof.getUserName()); %>
<TABLE BORDER=0 CELLPADDING=6 CELLSPACING=0>
  <TR VALIGN=TOP>
    <TD ALIGN=LEFT><%= rdat.getStdFontTag(null,1) %>
      <IMG SRC="<%= data.getPhotoURL(rdat) %>" ALT="" ALIGN=LEFT WIDTH=100
           HEIGHT=100 BORDER=0><BR CLEAR=LEFT><BR>

      <% Date tmpd = prof.getCreateDate(); %>
      <% if (tmpd!=null) { %>
        Account created:<BR><%= StringUtil.encodeHTML(rdat.formatDateForDisplay(tmpd)) %><BR>
      <% } // end if %>
      <% tmpd = prof.getLastLoginDate(); %>
      <% if (tmpd!=null) { %>
        Last login:<BR><%= StringUtil.encodeHTML(rdat.formatDateForDisplay(tmpd)) %><BR>
      <% } // end if %>
      <% tmpd = prof.getLastUpdate(); %>
      <% if (tmpd!=null) { %>
        Profile last updated:<BR><%= StringUtil.encodeHTML(rdat.formatDateForDisplay(tmpd)) %><BR>
      <% } // end if %>
    </FONT></TD>

    <TD ALIGN=LEFT><%= rdat.getStdFontTag(null,2) %>

      <B><%= StringUtil.encodeHTML(data.getFullName()) %></B><BR>
      <% tmp = prof.getEmail(); %>
      <% if (!(StringUtil.isStringEmpty(tmp))) { %>
        E-mail: <A HREF="mailto:<%= tmp %>"><%= StringUtil.encodeHTML(tmp) %></A><BR>
      <% } // end if %>
      <% tmp = prof.getURL(); %>
      <% if (!(StringUtil.isStringEmpty(tmp))) { %>
        URL: <A HREF="<%= tmp %>" TARGET="Wander"><%= StringUtil.encodeHTML(tmp) %></A><BR>
      <% } // end if %><BR>

      <% tmp = prof.getCompany(); %>
      <% if (!(StringUtil.isStringEmpty(tmp))) { %><%= StringUtil.encodeHTML(tmp) %><BR><% } %>
      <% tmp = prof.getAddressLine1(); %>
      <% if (!(StringUtil.isStringEmpty(tmp))) { %><%= StringUtil.encodeHTML(tmp) %><BR><% } %>
      <% tmp = prof.getAddressLine2(); %>
      <% if (!(StringUtil.isStringEmpty(tmp))) { %><%= StringUtil.encodeHTML(tmp) %><BR><% } %>
      <% tmp = data.getAddressLastLine(); %>
      <% if (!(StringUtil.isStringEmpty(tmp))) { %><%= StringUtil.encodeHTML(tmp) %><BR><% } %>
      <% tmp = prof.getFullCountry(); %>
      <% if (!(StringUtil.isStringEmpty(tmp))) { %><%= StringUtil.encodeHTML(tmp) %><BR><% } %>

      <% tmp = prof.getPhone(); %>
      <% if (!(StringUtil.isStringEmpty(tmp))) { %>Phone: <%= StringUtil.encodeHTML(tmp) %><BR><% } %>
      <% tmp = prof.getFax(); %>
      <% if (!(StringUtil.isStringEmpty(tmp))) { %>Fax: <%= StringUtil.encodeHTML(tmp) %><BR><% } %>
      <% tmp = prof.getMobile(); %>
      <% if (!(StringUtil.isStringEmpty(tmp))) { %>Mobile: <%= StringUtil.encodeHTML(tmp) %><BR><% } %>
    </FONT></TD>
  </TR>

  <% tmp = prof.getDescription(); %>
  <% if (!(StringUtil.isStringEmpty(tmp))) { %>
    <TR VALIGN=TOP><TD ALIGN=CENTER COLSPAN=2><%= rdat.getStdFontTag(null,2) %>
      <EM><%= StringUtil.encodeHTML(tmp) %></EM>
    </FONT></TD></TR>
  <% } // end if %>

</TABLE>

<% if (prof.canSendQuickEmail()) { %>
  <HR><%= rdat.getStdFontTag(null,2) %><B>Send Quick E-Mail To <%= prof.getUserName() %>:</B></FONT><BR>
  <FORM METHOD=POST ACTION="<%= rdat.getEncodedServletPath("user/" + prof.getUserName()) %>">
    <INPUT TYPE="HIDDEN" NAME="cmd" VALUE="E">
    <TABLE BORDER=0 CELLPADDING=0>
      <TR VALIGN=MIDDLE><TD ALIGN=LEFT>
        <%= rdat.getStdFontTag(null,2) %>Subject: </FONT>
        <INPUT TYPE="TEXT" NAME="subj" SIZE=65 MAXLENGTH=255 VALUE="">
      </TD></TR>
      <TR VALIGN=MIDDLE><TD ALIGN=LEFT>
        <TEXTAREA NAME="pb" WRAP=HARD ROWS=7 COLS=80></TEXTAREA>
      </TD></TR>
      <TR VALIGN=MIDDLE><TD ALIGN=LEFT>
        <INPUT TYPE=IMAGE SRC="<%= rdat.getFullImagePath("bn_send_email.gif") %>" NAME="send"
               ALT="Send E-Mail" WIDTH=80 HEIGHT=24 BORDER=0>
      </TR>
    </TABLE>
  </FORM>
<% } // end if %>

<% rdat.writeFooter(out); %>
